image: python

stages:
  - test
  - deploy

before_script:
  - pip install --upgrade pip setuptools wheel tox

test37:
  stage: test
  image: python:3.7
  script:
    - tox -e py37

test38:
  stage: test
  image: python:3.8
  script:
    - tox -e py38

test39:
  stage: test
  image: python:3.9
  script:
    - tox -e isort,black,safety #,flake8
    - tox -e py39 -- --cov-report=xml --cov-report=term tests
    - bash <(curl -s https://codecov.io/bash)

pypi:
  stage: deploy
  image: python:3.9
  script:
    - pip install --upgrade wheel twine
    - python setup.py sdist bdist_wheel
    - twine upload --skip-existing --non-interactive dist/*
  only:
  - tags
